- [HTTP request](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.locations.agent.intents/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.locations.agent.intents/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.locations.agent.intents/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.locations.agent.intents/get#body.request_body)
- [Response body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.locations.agent.intents/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.locations.agent.intents/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.locations.agent.intents/get#try-it)

Retrieves the specified intent.

### HTTP request

Choose an endpoint:
global   
`GET https://dialogflow.googleapis.com/v2/{name=projects/*/locations/*/agent/intents/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`GET https://{endpoint}/v2/{name=projects/*/locations/*/agent/intents/*}`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the intent. Format: `projects/<Project ID>/agent/intents/<Intent ID>`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `dialogflow.intents.get` |

### Query parameters

| Parameters ||
|---|---|
| `languageCode` | `string` Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity). |
| `intentView` | ``enum (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/IntentView`)`` Optional. The resource view to apply to the returned intent. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.agent.intents#Intent`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).